<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
<title>Hotspot QR CODE SCANNER</title>
  <style>
    video {
      width: 100%    !important;
      height: auto   !important;
    }
    #reload{
      margin-top:5px;
      margin-bottom:10px;
      padding:5px;
      background-color: #20a8d8;
      color: #f3f4f5;
      border-radius:3px;
      width: 150px;
      cursor: pointer;
    }
    a{
      text-decoration: none;
      color:#20a8d8;
    }
    .progress{
      padding:10px;
      margin-top:5px;
    }
    .progress span{
      transition: all 500ms ease;
      background: grey;
      box-shadow: 1px 2px 3px #999;
      height: 10px;
      width: 10px;   
      display: inline-block;
      border-radius: 10px;
      animation: wave 2s ease  infinite;
    } 
    .progress span:nth-child(1){  animation-delay: 0; }
    .progress span:nth-child(2){  animation-delay: 100ms; }
    .progress span:nth-child(3){  animation-delay: 200ms; }
    .progress span:nth-child(4){  animation-delay: 300ms; }
    .progress span:nth-child(5){  animation-delay: 400ms; }
    .progress span:nth-child(6){  animation-delay: 500ms; }
    .progress span:nth-child(7){  animation-delay: 600ms; }
    .progress span:nth-child(8){  animation-delay: 700ms; }
    @keyframes wave{
      0%, 40%, 100% { 
        transform: translate(0, 0);
        background-color: grey;    
      }
      10% {     
        transform: translate(0, -15px); 
        background-color: #20a8d8;    
      }  
    }
  </style>
<script type="text/javascript" src="llqrcode.js"></script>
<script type="text/javascript" src="webqr.js"></script>
</head>
<body>
  <center>
    <div id="main">
      <div id="mainbody">
        <div class="progress">
          <span></span>
          <span></span>
          <span></span>
          <span></span>
          <span></span>
          <span></span>
          <span></span>
          <span></span>
        </div>
        <div id="reload" onclick="location.reload();">Muat ulang Kamera</div>
        <div id="outdiv"></div>
      </div>
    </div>
    <div>Hotspot QR CODE SCANNER for MKHMON <br>Powered by <a href="http://www.webqr.com">webqr.com</a></div>
  </center>
<canvas style="display:none;" id="qr-canvas" width="800" height="600"></canvas>
<script type="text/javascript">load();</script>
</body>
</html>
